%define shortname comps
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

Name:           libcomps
Version:        0.1.8
Release:        %mkrel 2
Summary:        Comps XML file manipulation library

Group:          System/Libraries
License:        GPLv2+
URL:            https://github.com/rpm-software-management/libcomps
Source0:        https://github.com/rpm-software-management/libcomps/archive/%{name}-%{version}.tar.gz

# Patches from upstream
Patch1:         0001-libcomps-0.1.8-1.patch

# Fixes zlib linking, from:
# https://github.com/rpm-software-management/libcomps/pull/28
Patch0:         libcomps-0001-Add-zlib-as-an-explicit-dependency.patch
BuildRequires:  zlib-devel
BuildRequires:  libxml2-devel
BuildRequires:  check-devel
BuildRequires:  expat-devel
BuildRequires:  cmake


# prevent provides from nonstandard paths:
%define __provides_exclude_from ^(%{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so)$

%description
Libcomps is library for structure-like manipulation with content of
comps XML files. Supports read/write XML file, structure(s) modification.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Libraries for %{name}

%package -n %{libname_devel}
Summary:        Development files for libcomps library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}.

%package doc
Summary:        Documentation files for libcomps library
Group:          Development/C
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch
BuildRequires:  doxygen

%description doc
Documentation files for libcomps library

%package -n python-libcomps-doc
Summary:        Documentation files for python bindings libcomps library
Group:          Development/Python
Requires:       python-%{name} = %{version}-%{release}
BuildArch:      noarch
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description -n python-libcomps-doc
Documentation files for python bindings libcomps library

%package -n python2-libcomps
Summary:        Python 2 bindings for libcomps library
Group:          Development/Python
BuildRequires:  python-devel
Provides:       python-%{name} = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n python2-libcomps
Python2 bindings for libcomps library

%package -n python3-libcomps
Summary:        Python 3 bindings for libcomps library
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n python3-libcomps
Python3 bindings for libcomps library


%prep
%autosetup -n %{name}-%{name}-%{version} -p1

rm -rf py3
mkdir py3

%build
%cmake -DPYTHON_DESIRED:STRING=2 ../libcomps/
%make_build
make docs
make pydocs

# Py3 build
pushd ../py3
%cmake -DPYTHON_DESIRED:STRING=3 ../../libcomps/
%make_build
popd


%check
pushd ./build
make test
popd

# Py3 check
pushd ./py3/build
make pytest
popd


%install
pushd ./build
%make_install
popd

# Py3 install
pushd ./py3/build
%make_install
popd


%files -n %{libname}
%{_libdir}/libcomps.so.%{major}.*
%doc README.md COPYING

%files -n %{libname_devel}
%{_libdir}/libcomps.so
%{_includedir}/*

%files doc
%doc build/docs/libcomps-doc/html

%files -n python-libcomps-doc
%doc build/src/python/docs/html

%files -n python2-libcomps
%{python2_sitearch}/libcomps

%files -n python3-libcomps
%{python3_sitearch}/libcomps


%changelog
* Sun Nov 27 2016 ngompa <ngompa> 0.1.8-2.mga6
+ Revision: 1070468
- Bump for rebuilding against core/release

* Sat Nov 26 2016 ngompa <ngompa> 0.1.8-1.mga6
+ Revision: 1070199
- Upgrade to 0.1.8

* Mon Feb 15 2016 umeabot <umeabot> 0.1.7-5.mga6
+ Revision: 960934
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 shlomif <shlomif> 0.1.7-4.mga6
+ Revision: 891198
- Fix requires on 32-bit systems (Thanks to Neal Gompa)

* Thu Oct 08 2015 tv <tv> 0.1.7-3.mga6
+ Revision: 887753
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

  + shlomif <shlomif>
    - Cleanups for the .spec by Neal Gompa

* Sun Oct 04 2015 shlomif <shlomif> 0.1.7-2.mga6
+ Revision: 886222
- Fix Requires - patch thanks to Neal Gompa
- Importing libcomps - thanks to Neal Gompa/Son_Goku

